### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Class PermissionInfo

java.lang.Object
com.sas.services.information.metadata.PermissionInfo

All Implemented Interfaces:
  `PermissionExplainedInfoInterface`, `PermissionInfoInterface`, `Serializable`, `Remote`

@SASScope("ALL") @BinaryCompatibilityOnly public class PermissionInfo extends Object implements PermissionInfoInterface, PermissionExplainedInfoInterface, Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.sas.services.information.metadata.PermissionInfoInterface

  `PermissionInfoInterface.PermissionSource, PermissionInfoInterface.PermissionType`

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.PermissionInfoInterface

  `PERMISSION_ADMINISTER, PERMISSION_ALTERTABLE, PERMISSION_CHECKINMETADATA, PERMISSION_CREATE, PERMISSION_CREATETABLE, PERMISSION_DELETE, PERMISSION_DROPTABLE, PERMISSION_EXECUTE, PERMISSION_INSERT, PERMISSION_MANAGECREDENTIALSMETADATA, PERMISSION_MANAGEMEMBERMETADATA, PERMISSION_READ, PERMISSION_READMETADATA, PERMISSION_REFERENCES, PERMISSION_SELECT, PERMISSION_UPDATE, PERMISSION_WRITE, PERMISSION_WRITEMEMBERMETADATA, PERMISSION_WRITEMETADATA`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PermissionInfo()`
  `PermissionInfo(PermissionInfoInterface.PermissionType permType, String permission)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<IndirectPermissionInfoInterface>`
  `getIndirectPermissionInfo()`
  Returns one or more IndirectAuthorizationInfoInterface instances representing UserGroup membership(s), Permissions coming from an direct ACT on the object or via an Inheritance Parent, etc.
  `String`
  `getPermission()`
  Returns permission
  `String`
  `getPermissionCondition()`
  Returns permission condition value
  `PermissionInfoInterface.PermissionSource`
  `getPermissionSource()`
  Returns the permission source
  `PermissionInfoInterface.PermissionType`
  `getPermissionType()`
  Returns the permission type
  `void`
  `setPermission(String perm)`
  Sets the permission
  `void`
  `setPermissionCondition(String condition)`
  Sets the permission condition value
  `protected void`
  `setPermissionSource(PermissionInfoInterface.PermissionSource permSource)`
  `void`
  `setPermissionType(PermissionInfoInterface.PermissionType permType)`
  Sets the permissionType value
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PermissionInfo

    public PermissionInfo()

  - ### PermissionInfo

    public PermissionInfo(PermissionInfoInterface.PermissionType permType, String permission)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getPermissionType

    public PermissionInfoInterface.PermissionType getPermissionType()
    Description copied from interface: `PermissionInfoInterface`
    Returns the permission type
    Specified by:
      `getPermissionType` in interface `PermissionInfoInterface`
    Returns:
      permission type

  - ### setPermissionType

    public void setPermissionType(PermissionInfoInterface.PermissionType permType)
    Description copied from interface: `PermissionInfoInterface`
    Sets the permissionType value
    Specified by:
      `setPermissionType` in interface `PermissionInfoInterface`

  - ### setPermissionSource

    protected void setPermissionSource(PermissionInfoInterface.PermissionSource permSource)

  - ### getPermission

    public String getPermission()
    Description copied from interface: `PermissionInfoInterface`
    Returns permission
    Specified by:
      `getPermission` in interface `PermissionInfoInterface`
    Returns:
      permission

  - ### setPermission

    public void setPermission(String perm)
    Description copied from interface: `PermissionInfoInterface`
    Sets the permission
    Specified by:
      `setPermission` in interface `PermissionInfoInterface`
    Parameters:
      `perm` - permission to set

  - ### getPermissionCondition

    public String getPermissionCondition()
    Description copied from interface: `PermissionInfoInterface`
    Returns permission condition value
    Specified by:
      `getPermissionCondition` in interface `PermissionInfoInterface`
    Returns:
      permission condition value

  - ### setPermissionCondition

    public void setPermissionCondition(String condition)
    Description copied from interface: `PermissionInfoInterface`
    Sets the permission condition value
    Specified by:
      `setPermissionCondition` in interface `PermissionInfoInterface`

  - ### getPermissionSource

    public PermissionInfoInterface.PermissionSource getPermissionSource()
    Description copied from interface: `PermissionInfoInterface`
    Returns the permission source
    Specified by:
      `getPermissionSource` in interface `PermissionInfoInterface`
    Returns:
      permission source

  - ### getIndirectPermissionInfo

    public List<IndirectPermissionInfoInterface> getIndirectPermissionInfo()
    Description copied from interface: `PermissionExplainedInfoInterface`
    Returns one or more IndirectAuthorizationInfoInterface instances representing UserGroup membership(s), Permissions coming from an direct ACT on the object or via an Inheritance Parent, etc.
    Specified by:
      `getIndirectPermissionInfo` in interface `PermissionExplainedInfoInterface`
    Returns: